# class ImageBitmap

#### package js.html

Available on HTML5

The `ImageBitmap` interface represents a bitmap image which can be drawn to a `canvas` without undue latency. It can be created from a variety of source objects using the `createImageBitmap()` factory method. `ImageBitmap` provides an asynchronous and resource efficient pathway to prepare textures for rendering in WebGL.

Documentation ImageBitmap by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/ImageBitmap

### Variables

###

`read onlyheight:Int`

Is an `unsigned` `long` representing the height, in CSS pixels, of the `ImageData`.

###

`read onlywidth:Int`

Is an `unsigned` `long` representing the width, in CSS pixels, of the `ImageData`.

### Methods

###

`close ():Void`

Disposes of all graphical resources associated with an `ImageBitmap`.